<html>

<head>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <title>Панель управления водителями</title>
  <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
  <link rel="manifest" href="/site.webmanifest">
  <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
  <meta name="msapplication-TileColor" content="#da532c">
  <meta name="theme-color" content="#ffffff">
</head>

<body>
  <div class="fluid-container">
    <div class="row">
      <div class="col-sm">
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark justify-content-between">
          <a class="navbar-brand" href="#">Администрирование водителей</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup"
            aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
            <div class="navbar-nav">
              <a class="nav-item nav-link" href="index.html">список заявок от водителей<span class="sr-only">(current)</span></a>
              <a class="nav-item nav-link" href="register.html">зарегистрировать водителя</a>
              <a class="nav-item nav-link active" href="">список зарегистрированных водителей</a>
            </div>
          </div>
        </nav>
      </div>
    </div>
    <div class="row">
      <div class="col-sm" id="content">

      </div>
    </div>
  </div>

  <script>
    document.getElementById("content").innerHTML = "Загрузка данных...";
    fetch('http://app.bizzarepizza.xyz/adm/driver/list?login=root&token=lll')
      .then(function (response) {
        return response.json()
      })
      .then(function (data) {
        if (data.data.length == 0) {
          document.getElementById("content").innerHTML = "Отсутствуют зарегестрированные водители!";
        } else {
          var table = '<tr><th>id</th><th>name</th><th>phone</th><th>дата регистрации</th><th>email</th><th>номер прав водителя</th></tr>';
          for (var i = 0; i < data.data.length; i++) {
            table += '<tr><td>'; table += data.data[i].id; table += '</td><td>'; table += data.data[i].name; table += '</td><td>'; table += data.data[i].phone; table += '</td><td>'; table += data.data[i].registered; table += '</td><td>'; table += data.data[i].email; table += '</td><td>'; table += data.data[i].license_number; table += '</td></tr>';
          }
          document.getElementById("content").innerHTML = '<table class ="table table-striped">' + table + '</table>';
        }
      })
  </script>
</body>

</html>
